Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IGetResourceRequestContext

All Superinterfaces
  IBaseRequestContext, IGetMarkupBaseRequestContext, IGetMarkupRequestContext, IMutableRegistrationContext, INillable, com.bea.wsrp.bind.IPortletContextHolder, IRegistrationContext, IRuntimeContext, IUserContext, Serializable

    public interface IGetResourceRequestContext

extends IGetMarkupRequestContext

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupRequestContext
`getMarkupRequestState, setMarkupRequestState, setMarkupRequestState`

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseRequestContext
`addLocale, addMarkupCharacterSet, addMimeType, getLocales, getMarkupCharacterSets, getMimeTypes, getMode, getNavigationalState, getPublicNavigationalState, getRequestVerb, getUserAgent, getWindowState, isSecureClientCommunicationOn, isValidateTagOn, setMarkupCharacterSet, setMode, setNavigationalState, setPublicNavigationalState, setRequestVerb, setUserAgent, setValidateTagOn, setWindowState`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseRequestContext
`addMimeHeader, getHttpServletRequest, getHttpServletResponse, getMimeHeaders, getMimeHeaders, getProducerInfo, getServletContext, removeMimeHeader, setMimeHeader`

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile, setUserContextKey`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Methods inherited from interface com.bea.wsrp.model.markup.IRuntimeContext
`getDoctypeUri, getNamespacePrefix, getPortletInstanceKey, getSessionID, getSkeleton, getSkeletonChromosome, getSkeletonPath, getSkin, getSkinChromosome, getSkinPath, getTemplates, getThemeName, getThemeSkeletonChromosome, getThemeSkinChromosome, getUserAuthentication, isReturnContentToCaller, isUsingAltSkeleton, isUsingAltSkin, setDoctypeUri, setNamespacePrefix, setPortletInstanceKey, setReturnContentToCaller, setSessionID, setSkeleton, setSkeletonChromosome, setSkeletonPath, setSkin, setSkinChromosome, setSkinPath, setTemplates, setThemeName, setThemeSkeletonChromosome, setThemeSkinChromosome, setUserAuthentication, setUsingAltSkeleton, setUsingAltSkin`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved